Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.invoke
Class InvokerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.scxml.invoke.InvokerException

All Implemented Interfaces:
  Serializable

public class InvokerException
extends Exception

Exception thrown when a process specified by an <invoke> cannot be initiated.

See Also:
  Serialized Form

Constructor Summary
`InvokerException()`
`InvokerException(String message)`
`InvokerException(String message, Throwable cause)`
`InvokerException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvokerException

    public InvokerException()

See Also:
  `Exception.Exception()`

### InvokerException

    public InvokerException(String message)

Parameters:
  `message` - The error message
See Also:
  `Exception.Exception(java.lang.String)`

### InvokerException

    public InvokerException(Throwable cause)

Parameters:
  `cause` - The cause
See Also:
  `Exception.Exception(java.lang.Throwable)`

### InvokerException

    public InvokerException(String message,
                            Throwable cause)

Parameters:
  `message` - The error message
  `cause` - The cause
See Also:
  `Exception.Exception(String, Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.